Bug 719008 - Cannot do mock rebuild el5 package under RHEL6
Summary: Cannot do mock rebuild el5 package under RHEL6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mock
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Clark Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-05 12:42 UTC by Kirby Zhou
Modified: 2011-10-16 18:29 UTC (History)
3 users (show)

Fixed In Version: mock-1.1.15-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-18 22:57:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Kirby Zhou 2011-07-05 12:42:24 UTC
Description of problem:

Cannot do mock rebuild el5 package under RHEL6.

Host: RHEL6
Mock Chroot Config: RHEL5

The log shows that: 

ERROR: Exception(lzo-2.02-2.el5.1.src.rpm) Config(test) 0 minutes 46 seconds
INFO: Results and/or logs in: /srv/dailybuild/mock//test/result
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/srv/dailybuild/mock/test/root/', 'resolvedep', 'ccache', '--setopt=tsflags=nocontexts']
error: db3 error(22) from dbenv->open: Invalid argument
error: cannot open Packages index using db3 - Invalid argument (22)
error: cannot open Packages database in /srv/dailybuild/mock/test/root/var/lib/rpm
CRITICAL:yum.main:

I checked the code, gives a patch here.

I think maybe the reason is thant.
backend.builld calls rpm@HOST, then yum@HOST, the two utils takes different db version.

Version-Release number of selected component (if applicable):

mock-1.1.10-1.el6.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

--- /tmp/xxx/usr/lib/python2.6/site-packages/mock/backend.py    2011-07-05 19:29:17.000000000 +0800
+++ /usr/lib/python2.6/site-packages/mock/backend.py    2011-07-05 20:39:54.000000000 +0800
@@ -530,6 +530,10 @@
                 gid=self.chrootgid,
                 )
 
+            # remove rubbish file
+            for tmp in glob.glob(self.makeChrootPath('var/lib/rpm/__db*')):
+                os.unlink(tmp)
+
             # rebuild srpm/rpm from SPEC file
             specs = glob.glob(self.makeChrootPath(self.builddir, "SPECS", "*.spec"))
             if len(specs) < 1:

Comment 1 Clark Williams 2011-09-03 16:16:17 UTC
Queued for 1.1.13 release

Comment 2 Fedora Update System 2011-09-08 19:28:30 UTC
mock-1.1.13-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.13-1.el6

Comment 3 Fedora Update System 2011-09-08 19:28:50 UTC
mock-1.0.20-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.20-1.el5

Comment 4 Fedora Update System 2011-09-08 19:29:07 UTC
mock-1.1.13-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.13-1.fc15

Comment 5 Fedora Update System 2011-09-08 19:29:25 UTC
mock-1.1.13-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.13-1.fc14

Comment 6 Fedora Update System 2011-09-08 23:57:47 UTC
Package mock-1.1.13-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing mock-1.1.13-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/mock-1.1.13-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-09-09 21:35:17 UTC
mock-1.1.14-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.14-1.fc14

Comment 8 Fedora Update System 2011-09-09 21:35:38 UTC
mock-1.0.21-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.21-1.el5

Comment 9 Fedora Update System 2011-09-09 21:35:55 UTC
mock-1.1.14-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.14-1.fc15

Comment 10 Fedora Update System 2011-09-09 21:36:13 UTC
mock-1.1.14-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.14-1.el6

Comment 11 Fedora Update System 2011-09-18 22:56:47 UTC
mock-1.1.14-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-09-18 23:03:02 UTC
mock-1.1.14-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-09-23 20:55:35 UTC
mock-1.1.15-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.15-1.fc15

Comment 14 Fedora Update System 2011-09-23 20:56:39 UTC
mock-1.1.15-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.15-1.el6

Comment 15 Fedora Update System 2011-09-23 20:57:32 UTC
mock-1.0.22-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.22-1.el5

Comment 16 Fedora Update System 2011-09-23 20:58:21 UTC
mock-1.1.15-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.15-1.fc14

Comment 17 Fedora Update System 2011-10-02 23:00:07 UTC
mock-1.1.15-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2011-10-02 23:08:33 UTC
mock-1.1.15-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2011-10-16 18:28:06 UTC
mock-1.0.22-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-10-16 18:29:52 UTC
mock-1.1.15-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.